From dcafb30f3e96eaf0beaa41277d49f1bf8f0c3587 Mon Sep 17 00:00:00 2001
From: Martin Abente <mabente@paraguayeduca.org>
Date: Wed, 28 Jul 2010 17:53:30 -0400
Subject: [PATCH] Journal xobundle removal wont remove installed one
Organization: Paraguay Educa

Journal Xo bundles removal also removes the installed activity. There
are many scenarios where this behavior is it not desired. Therefore it
needs to be changed.
---
 src/jarabe/journal/palettes.py |    5 -----
 1 files changed, 0 insertions(+), 5 deletions(-)

diff --git a/src/jarabe/journal/palettes.py b/src/jarabe/journal/palettes.py
index 0e7702d..7c3e5ff 100644
--- a/src/jarabe/journal/palettes.py
+++ b/src/jarabe/journal/palettes.py
@@ -128,11 +128,6 @@ class ObjectPalette(Palette):
         self._temp_file_path = None
 
     def __erase_activate_cb(self, menu_item):
-        registry = bundleregistry.get_registry()
-
-        bundle = misc.get_bundle(self._metadata)
-        if bundle is not None and registry.is_installed(bundle):
-            registry.uninstall(bundle)
         model.delete(self._metadata['uid'])
 
     def __detail_activate_cb(self, menu_item):
-- 
1.6.0.4

